{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/form_forum.css' %}">
{% endblock css %}
{% block title %}
Forum
{% endblock title %}
{% block content %}
<section id="form-forum-section" style="margin-top: 30px">
    <div class="form-wrapper">
        {% for message in messages %}
        <div class="alert hidden" id="{{message.tags}}" value="{{message}}" role="alert">{{message}}</div>
        {% endfor %}
        <div class="form-top">
            <div id="title-form">
                <h1>Login</h1>
            </div>
        </div>
        <hr>
        <div class="form-body">
            <form id="form" method="POST" action="{% url 'account:login' %}">
                {% csrf_token %}
                {% for field in form %}
                <div class="form-field">
                        {{ field.label_tag }}<br>
                        {{ field }}<br>
                        {% for error in field.errors %}
                        <small style="color:red;">{{error}}</small><br>
                        {% endfor %}
                </div>
                {% endfor %}
                {% for error in form.non_field_errors %}
                        <div>
                            <small style="color: red;">{{error}}</small>
                        </div>
                    {% endfor %}
                <div id="button-form">
                    <button class="btn btn-outline-secondary btn-sm" value="submit" type="submit"> Submit</button>
                    <a class="btn btn-danger btn-sm" onclick="myFunction(this)">Cancel</a>
                </div>
                <small>Don't have an account?</small>
                <a href="{% url 'account:register' %}">Sign Up</a>
            </form>
        </div>
    </div>
</section>
{% endblock content %}
{% block script %}
<script>
    function myFunction(e) {
    if (confirm("Are you sure want to cancel?")) {
        window.location.href = "{% url 'home:home' %}"
    }
}

let doc = document.getElementsByTagName('input')
for (let field in doc)
    doc[field].className += "form-control"

</script>
</script>
{% endblock script %}